---
title: Remove a reaction
url: https://www.tines.com/docs/api/cases/comments/reactions/delete/
updated: 2024-04-22T09:42:20+00:00
description: Remove a reaction from a comment.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Comments](https://www.tines.com/llm/docs/api/cases/comments.md) › [Reactions](https://www.tines.com/llm/docs/api/cases/comments/reactions.md)*

# Remove a reaction

*[View on tines.com](https://www.tines.com/docs/api/cases/comments/reactions/delete/)*

## Description

Remove a reaction from a comment.

## Request

HTTP Method: **POST**

| Parameter | Description                                                                                                                             |
| --------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| value     | The value of the reaction to be removed from the comment. (supported reaction values: `+1`, `-1`, `eyes`, `heart`, `white_check_mark`). |

| Path Parameter | Description            |
| -------------- | ---------------------- |
| case_id        | The ID of the case.    |
| comment_id     | The ID of the comment. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/comments/<<comment_id>>/remove_reaction \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "value": "heart"
      }'
```

## Response

A successful request will return a JSON object describing the updated comment with the specified reaction removed for the authenticated user.

### Field description

| Parameter     | Description                                                                      |
| ------------- | -------------------------------------------------------------------------------- |
| case_id       | The case ID.                                                                     |
| id            | The ID of the record with the comment attached to the case.                      |
| activity_type | The type of activity taken on the case - `commented` in this instance.           |
| value         | The comment being added.                                                         |
| created_at    | ISO 8601 Timestamp representing creation date.                                   |
| user          | Details of the user.                                                             |
| reactions     | An array of objects describing the reactions and their reactants on the comment. |

| User parameter     | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "id": 126,
  "action": "COMMENTED",
  "value": "Comment value",
  "created_at": "2024-03-07T11:42:58Z",
  "user": {
    "user_id": "1",
    "first_name": "John",
    "last_name": "Smith",
    "email": "john.smith@example.com",
    "avatar_url": "https://lh3.googleusercontent.com/a/QslEzz3Af-SGcswUnWBH7Fw-FKOAA=s96-c",
    "is_service_account": false
  },
  "reactions": []
}
```

<!-- cspell:enable -->
